*,
::before,
::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    list-style: none;
    text-decoration: none;
}

html {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 62.5%;
    height: 100vh;
    width: 100%;
}

nav {
    position: fixed;
    width: 100%;
    padding: 15px 0;
    text-transform: uppercase;
    background: rgba(255, 255, 255, 0.959);
    -webkit-box-shadow: 1px 5px 15px 0px rgba(0, 0, 0, 0.5);
    box-shadow: 1px 5px 15px 0px rgba(0, 0, 0, 0.5);
    z-index: 999;
}

.navbar {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.logo {
    display: flex;
    align-items: center;
    flex-direction: row;
}

.logo .icon-hamburger {
    width: 5em;
    height: 5em;
    margin-left: 2em;
}
/* Menu burger */
/* #menu-burger {
    position:absolute; 
    top:2.5em; 
    right:3.5em; 
    display:inline-block; 
    cursor:pointer;
}

#menu-burger .bar1,
#menu-burger .bar2,
#menu-burger .bar3 {
    width:32px; 
    height:5px; 
    background-color:#F1F1F1; 
    margin:6px 0; transition:0.4s;
}

#menu-burger:hover {
    opacity:.75; 
    transition:.5s;
}

#menu-burger.clicked .bar1 {
    -webkit-transform:rotate(-45deg) translate(-9px, 6px); 
    transform:rotate(-45deg) translate(-9px, 6px);
}

#menu-burger.clicked .bar2 {
    opacity: 0;
}

#menu-burger.clicked .bar3 {
    -webkit-transform:rotate(45deg) translate(-8px, -8px); 
    transform:rotate(45deg) translate(-8px, -8px);
} */

/* Main menu (slide) */
/* #menu {
    position:fixed; z-index:9999; 
    left:-25%; 
    top:auto; 
    background:#e74c3c; 
    padding:4em 2em; 
    width:25%; 
    min-height:100%; 
    box-shadow:1px 0 1px #9A2519;
}

#menu ul li {
    list-style:none;
}

#menu ul li a {
    display:block; 
    color:#fff; 
    text-decoration:none; 
    font-weight:700; 
    background:#2c3e50; 
    transition:background .5s; 
    padding:1em; 
    text-align:center; 
    margin-bottom:.5em; 
    box-shadow:1px 1px 0 #666
}

#menu ul li a:hover {
    background:#f1c40f; 
    transition: background .5s;
}

#menu.visible {
    animation:.5s slideRight ease-in forwards; 
    transition-delay:0;
}

#menu.invisible {
    animation:1s slideLeft ease-out forwards; 
    transition-delay:0;
} */

/* Animations pour le menu slide */
/* @keyframes slideRight {
	from {left:-25%;}
	to {left:0%;}
}
@-webkit-keyframes slideRight {
	from {left:-25%;}
	to {left:0%;}
}
@keyframes slideLeft {
	from {left:0%;}
	to {left:-25%;}
}
@-webkit-keyframes slideLeft {
	from {left:0%;}
	to {left:-25%;}
} */

.logo .icon-logo {
    width: 7em;
    height: 7em;
    margin-left: 2em;
    cursor: pointer;
}

.logo .icon-logo:hover {
    transform: scale(1.2);
}

.navbar h1 {
    font-size: 3.5em;
    font-weight: 600;
    color: #000;
    letter-spacing: 0.08em;
    text-transform: capitalize;
    margin-left: 0.7em;
}

.status {
    font-size: 1.6em;
    font-weight: 700;
    font-style: italic;
    padding-left: 20em;
}

.vert {
    color:green;
}

.rouge {
    color:red;
}

.btn {
    margin-left: 30em;
}

.btn-carte {
    background: rgb(2, 160, 252);
    padding: 0.4em 2.2em;
    border: none;
    border-radius: 2em;
    color: white;
    font-size: 1.9em;
    cursor: pointer;
}

.btn-carte:hover {
    background: rgb(2, 45, 138);
}

aside .side-bar {
    position: relative;
    background: rgb(105, 105, 105);
    width: 25%;
    height: 87vh;
    top: 10em;
}

aside .side-bar i {
    position: absolute;
    display: flex;
    align-items: center;
    left: 11.4em;
    top: 10em;
    font-size: 3em;
    color: white;
}

aside .side-bar i:hover {
    transform: scale(1.2);
}

.nav-link {
    display: flex;
    flex-direction: column;
    background: rgb(22, 22, 22);
    width: 89%;
    transition: 0.7s ease-in-out;
    height: 87vh;
    top: 10em;
    cursor: pointer;
}

.nav-link ul li {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 3em;
    border: 0.1em solid #FFF;
    border-radius: 0.5em;
    padding: 0.2em;
    margin: 0.5em;
}

.nav-link ul li:hover {
    background: #FFF;
}

.nav-link ul li a:hover {
    color: rgb(10, 10, 10);
}

.nav-link ul li a {
    display: flex;
    align-items: center;
    color: #FFF;
}

.footer {
    position: absolute;
    display: flex;
    justify-content: space-around;
    background: rgb(170, 168, 168);
    width: 100%;
    height: 13%;
    padding-top: 0.7em;
}

.footer p {
    font-size: 1.6em;
}

.footer .line {
    background: rgb(17, 17, 17);
    height: 80%;
    width: 0.2%;
}

.social .icons {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    cursor: pointer;
}

.social .icons .square {
    background: #000;
    width: 3em;
    height: 3em;
    margin: 2em;
    border-radius: 0.3em;
}

.social .icons a {
    font-size: 2em;
    color: rgb(170, 168, 168)
    /* padding: 1em; */
}

.social .icons a i {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 0.3em;
}

.social .icons .square:hover {
    transform: scale(1.2);
}

.footer .zone {
    width: 16em;
    height: 6em;
    border: 0.1em solid gray;
}



@media (max-width: 947px) {
    nav {
       display: inline-block; 
    }
    nav .navbar h1 {
    display: none;
    }
    .navbar {
        display: flex;
        flex-direction: row;
        width:100%;
    }
    .status {
        padding-left: 0.8em;    
    }
    .btn {
        margin-left: 0;
        margin-right: 0.3em;
    }
    aside .side-bar .nav-link{
      height: 87vh;
      width: 100%;
      left: -100%;
      top: 0;
      background: #111;
      text-align: center;
      padding-top: 80px;
      transition: all .3s ease;
    }
    aside .side-bar {
        width: 100%;
    }
    aside .side-bar i{
        display: none;
    }
    .footer p {
        font-size: 80%;
    }
    .social .icons a {
        font-size: 80%;
    }
    .social .icons .square {
        width: 2em;
        height: 2em;
        margin: 1em;
    }
  
}

@media (max-width: 420px) {
    html {
        font-size: 50%;
    }
    .logo .icon-hamburger {
        width: 4em;
        height: 4em;
        margin-left: 1em;
    }
    
    .logo .icon-logo {
        width: 6em;
        height: 6em;
        margin-left: 1em;
    }
    .status {
        font-size: 1.1em;
        padding-left: 1.8em;
    }

    aside .side-bar i {
        left: 11.4em;
        top: 1em;
        font-size: 1.2em;
    }
    .nav-link ul li {
        width: 80%;
        padding: 0.2em;
        margin: 0.5em 0.5em 0.5em 0.98em;
    }
    .btn-carte {
        padding: 0.4em 1.8em;
        font-size: 1.4em;
        margin-right: 0.3em;
    }
    .footer .zone {
        width: 8em;
        height: 4em;
        border: 0.1em solid gray;
    }
}

/* Responsive design */
/* @media (max-width:1024px) {
	#menu {
        left:-50%; 
        width:50%;}
	#menu-burger.clicked {
        position:fixed;
    } */

	/* Animations pour le menu slide */
	/* @keyframes slideRight {
		from {
            left:-50%;
        }
		to {
            left:0%;
        }
	}
	@-webkit-keyframes slideRight {
		from {
            left:-50%;
        }
		to {
            left:0%;
        }
	}
	@keyframes slideLeft {
		from {
            left:0%;
        }
		to {
            left:-50%;
	} */
	/* @-webkit-keyframes slideLeft {
		from {
            left:0%;
        }
		to {
            left:-50%;
        }
	} */
    /* }
} */
@media (max-width:600px) {
	#menu-burger {
        top:1em; 
        right:2em; 
        z-index:9999;
    }
	#menu {
        left:-100%; 
        width:100%;
    }

	/* Animations pour le menu slide */
	@keyframes slideRight {
		from {
            left:-100%;
        }
		to {
            left:0%;
        }
	}
	@-webkit-keyframes slideRight {
		from {
            left:-100%;
        }
		to {
            left:0%;
        }
	}
	@keyframes slideLeft {
		from {
            left:0%;
        }
		to {
            left:-100%;
        }
	}
	@-webkit-keyframes slideLeft {
		from {
            left:0%;
        }
		to {
            left:-100%;
            
	    }
    }
}